# SPDX-License-Identifier: MIT
# Parts of this .spec were taken from:
# https://src.fedoraproject.org/rpms/adf-tribun-fonts
# Thanks!
%global fontname adf-tribun
%global fontconf 60-%{fontname}.conf

%global archivename Tribun-Std-20120228

Name:    %{fontname}-fonts
Version: 1.17
Release: %mkrel 3
Summary: A newsprint-like serif typeface

Group:     System/Fonts/True type
License:   GPLv2+ with exceptions
URL:       https://arkandis.tuxfamily.org/adffonts.html
Source0:   https://arkandis.tuxfamily.org/fonts/%{archivename}.zip
Source1:   https://arkandis.tuxfamily.org/docs/Tribun-Cat.pdf
Source11:  %{name}-fontconfig.conf


BuildArch:     noarch
BuildRequires: fontpackages-devel

%global foundry           ADF
%global fontlicense       GPLv2+ with exceptions
%global fontlicenses      OTF/COPYING
%global fontdocs          *.txt

Requires:      fontpackages-filesystem
%global fontfamily        Tribun
%global fontsummary       ADF Tribun, a newsprint-like serif font family
%global fonts             OTF/*.otf
%global fontconfngs       %{SOURCE10}
%global fontdescription   %{expand:
Hirwen Harendal started in 1999 the realization of a first font family, aiming
to create another “Times New Roman”… He does not consider this endeavor a huge
success. However, he transformed Tribun progressively since then to give it its
own character.

The idea was to achieve newsprint-like rendering. To this effect, the glyph
bodies, serifs, or even extenders are not normalized and use irregular strokes.
This is most visible in italics though those variations stay imperceptible at
small sizes.

Italics proved time-consuming. They are never an easy thing to draw.
Nevertheless, the designer considers them very close to those of “Times”, with
some variations.

The medium weight uses a stronger stroke. It can be used for emphasis, or for
effects in titles. That being said it has also been used for body copy. It is
also slightly expanded to complete the face offerings.

The condensed version is a bit unusual, since it stands in for both normal and
medium condensed. After several trials, Hirwen decided an intermediate weight
rendered much better both for document display and in print. Secondly, he took
great care to keep readability excellent, and this even for italics.

This font family is particularly well suited for text, display, or
presentations. It is also ideal for all Web publications. It can serve as
alternative to “Times New Roman” and other similar fonts.}

%description
%fontdescription

%prep
%setup -q -n %{archivename}
install -m 0644 -p %{SOURCE1} .
for txt in NOTICE */COPYING ; do
   fold -s $txt > $txt.new &&\
   sed -i 's/\r//' $txt.new &&\
   touch -r $txt $txt.new &&\
   mv $txt.new $txt
done


%build
%fontbuild

%install
%fontinstall

%check
%fontcheck

%fontfiles

%defattr(644, root, root, 0755)
%license OTF/COPYING
%doc *.pdf



%changelog
* Thu Jul 03 2025 danf <danf> 1.17-3.mga10
+ Revision: 2244735
- Remove obsolete file from sha1.lst
+ umeabot <umeabot>
- Mageia 10 Mass Rebuild

* Wed Mar 23 2022 umeabot <umeabot> 1.17-2.mga9
+ Revision: 1820437
- Mageia 9 Mass Rebuild

* Mon Oct 26 2020 shlomif <shlomif> 1.17-1.mga8
+ Revision: 1639535
- New version 1.17

* Tue Feb 11 2020 umeabot <umeabot> 1.13-11.mga8
+ Revision: 1489253
- Mageia 8 Mass Rebuild

* Tue Sep 18 2018 umeabot <umeabot> 1.13-10.mga7
+ Revision: 1259535
- Mageia 7 Mass Rebuild

* Sat Feb 06 2016 umeabot <umeabot> 1.13-9.mga6
+ Revision: 940464
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.13-8.mga5
+ Revision: 744239
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.13-7.mga5
+ Revision: 677700
- Mageia 5 Mass Rebuild

* Sun Nov 03 2013 tv <tv> 1.13-6.mga4
+ Revision: 549212
- rebuild with fixed fontpackages-devel (w/o scriptlets)

* Fri Oct 18 2013 umeabot <umeabot> 1.13-5.mga4
+ Revision: 502462
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 1.13-4.mga3
+ Revision: 345296
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Mar 13 2011 dmorgan <dmorgan> 1.13-3.mga3
+ Revision: 70867
- imported package adf-tribun-fonts

